package com.gingersoft.gsa.cloud.table.app.payment.contract;


import com.gingersoft.gsa.cloud.table.app.payment.bean.AdjustTipRespose;
import com.gingersoft.gsa.cloud.table.app.payment.bean.RefundRespose;
import com.gingersoft.gsa.cloud.table.app.payment.bean.RetrievalRespose;
import com.gingersoft.gsa.cloud.table.app.payment.bean.SaleRespose;
import com.gingersoft.gsa.cloud.table.app.payment.bean.SettlementRespose;
import com.gingersoft.gsa.cloud.table.app.payment.bean.VoidRespose;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-11-01
 * 修订历史：2019-11-01
 * 描述：
 */
public interface IN5Callback {

    void onSaleCall(SaleRespose response);

    void onVoidCall(VoidRespose response);

    void onRefundCall(RefundRespose response);

    void onRetrievalCall(RetrievalRespose response);

    void onAdjustCall(AdjustTipRespose response);

    void onSettleCall(SettlementRespose response);

    void onPrinterCall(String response);
}
